[brailleblaster] Re: Building for different versions

I think Scott may be using Linux. In that case, compiling liblouis and 
liblouisutdml from the tarballs will involve just following the usual 
configure, make make install procedure.

This discussion may encoursge others to try building, so it is good to 
have it on the list.

John

On Tue, Mar 13, 2012 at 04:52:20PM -0400, Vic Beckley wrote:
> Scott,
> 
> What I did, and what I would recommend for you, is to download the latest
> tarballs of liblouis and liblouisutdml and unpack them to your computer. In
> the root folder of the liblouisutdml package is a file called
> readme.windows. It has good instructions as to what prerequisites you will
> need and how to compile the liblouis.dll and liblouisutdml.dll that you will
> need for Braille Blaster. One comment I have on the readme is that typing
> SDK does not run the command prompt. I don't know what version of windows
> you have, but you will have to find the way to start the command prompt with
> the right environment variables set. This shortcut will be in the folder of
> the SDK or Visual Studio that you install. To get these files go to the For
> Developers link on brailleblaster.org.
> 
> Once you have mastered this, we can move on to how to get the latest files
> from the repository and compiling them. This is good background work because
> you will use the same steps to compile the DLLs from the files downloaded
> from the repository.
> 
> Let me know if you have any questions about this procedure. I will get the
> links together to give you to download all the tools you need for the rest
> of the project.
> 
> I hope this helps.
> 
> 
> Best regards from Ohio, U.S.A.,
> 
> Vic
> E-mail: vic.beckley3@xxxxxxxxx
> 
> -----Original Message-----
> From: brailleblaster-bounce@xxxxxxxxxxxxx
> [mailto:brailleblaster-bounce@xxxxxxxxxxxxx] On Behalf Of Scott Berry
> Sent: Tuesday, March 13, 2012 4:29 PM
> To: brailleblaster@xxxxxxxxxxxxx
> Subject: [brailleblaster] Re: Building for different versions
> 
> Yes that would be the way I'd like to build.
> 
> 
> 
> On 3/13/2012 3:16 PM, Vic Beckley wrote:
> > Scott,
> >
> > Do you want to build from the repository? There is quite a bit involved,
> but
> > I will try to take you through it step by step.
> >
> >
> > Best regards from Ohio, U.S.A.,
> >
> > Vic
> > E-mail: vic.beckley3@xxxxxxxxx
> >
> >
> > -----Original Message-----
> > From: brailleblaster-bounce@xxxxxxxxxxxxx
> > [mailto:brailleblaster-bounce@xxxxxxxxxxxxx] On Behalf Of Scott Berry
> > Sent: Tuesday, March 13, 2012 4:11 PM
> > To: brailleblaster@xxxxxxxxxxxxx
> > Subject: [brailleblaster] Re: Building for different versions
> >
> > Hey Vic,
> >
> > Can you help me out with compiling from scratch Braille Blaster and Lib
> > Louis?
> >
> >
> >
> > On 3/13/2012 12:15 PM, Vic Beckley wrote:
> >    
> >> Michael and John,
> >>
> >> I recompiled on my JDK 1.7 platform and got the exact same error that I
> >>      
> > sent
> >    
> >> before. However, the brailleblaster.jar was different. It was 75K instead
> >>      
> > of
> >    
> >> 78K and now runs under Java 1.6. It looks like once you get all the loose
> >> ends tied up this will work fine.
> >>
> >>
> >> Best regards from Ohio, U.S.A.,
> >>
> >> Vic
> >> E-mail: vic.beckley3@xxxxxxxxx
> >>
> >>
> >>
> >>
> >>
> >>      
> >
> >
> >    
> 
> 

-- 
John J. Boyer; President, Chief Software Developer
Abilitiessoft, Inc.
http://www.abilitiessoft.com
Madison, Wisconsin USA
Developing software for people with disabilities


Other related posts: